You are not logged in.

#1 2013-03-01 15:46:20

Archie_Enthusiasm
Member
Registered: 2010-10-23
Posts: 99

NVIDIA Propriatery driver - Optimus

I am trying to install nvidia propriatery driver which I downloaded from nvidia website. Nouveau is deactivated properly. I already installed 'pacman -S linux-headers'
I execute the following command:

sh ./NVIDIA-Linux-x86_64-310.32.run

I am getting the following error:
If you are using a linux 2.4 Kernel, please make sure ...

if you are using a linux 2.6 kernel, please make sure ...

Depending on where and how the kernel sources (or the kernel headers) were installed, you may need to to specify their location with the SYSSRC ...

Why is it not finding the appropriate header files?

Last edited by Archie_Enthusiasm (2013-03-01 16:11:12)

Offline

#2 2013-03-02 13:33:23

Svenstaro
Developer
From: Germany
Registered: 2008-11-19
Posts: 363

Re: NVIDIA Propriatery driver - Optimus

Why not pacman -S nvidia? Also did you even bother to read the bumblebee wiki article? You want nvidia-utils-bumblebee, nvidia, bumblebee and bbswitch.

Offline

#3 2013-03-02 13:37:09

jesusangelm
Member
Registered: 2012-04-30
Posts: 29
Website

Re: NVIDIA Propriatery driver - Optimus

sudo pacman -S nvidia

+ info Nvidia Arch Wiki

Offline

#4 2013-03-03 14:53:38

mrunion
Member
From: Jonesborough, TN
Registered: 2007-01-26
Posts: 1,569
Website

Re: NVIDIA Propriatery driver - Optimus

Yup. BumbleBee Wiki is very helpful. Do NOT download and install nVidia like you are trying!


Matt

"It is very difficult to educate the educated."

Offline

Board footer

Powered by FluxBB